import React, { ComponentProps, ReactNode } from "react";
import { Tooltip } from "@vector-im/compound-web";
import { MediaEventContent } from "matrix-js-sdk/src/types";
import MImageBody from "./MImageBody";
export default class MStickerBody extends MImageBody {
    protected onClick: (ev: React.MouseEvent) => void;
    protected wrapImage(contentUrl: string, children: React.ReactNode): JSX.Element;
    protected getPlaceholder(width: number, height: number): ReactNode;
    protected getTooltipProps(): ComponentProps<typeof Tooltip> | null;
    protected getFileBody(): ReactNode;
    protected getBanner(content: MediaEventContent): ReactNode;
}
